import request from '@/utils/request'

//编研主题列表
export const getData = data => {
  return request({
    url: '/point-strategy/v/compilationData/queryPage',
    method: 'post',
    data
  })
}
//编研主题修改
export const editTheme = data => {
  return request({
    url: '/point-strategy/v/compilationData/update',
    method: 'post',
    data
  })
}
//审核
export const audit = data => {
  return request({
    url: '/point-strategy/v/compilationData/audit',
    method: 'post',
    data
  })
}
//编研主题删除
export const delTheme = params => {
  return request({
    url: '/point-strategy/v/compilationData/delete',
    method: 'post',
    params
  })
}
//获取目录树
export const getTree = params => {
    return request({
        url: '/point-strategy/v/compilationData/getTreeCatalogs',
        method: 'post',
        params
    })
}
//获取目录树
export const getTree2 = params => {
  return request({
    url: '/point-strategy/v/compilationData/getTreeCatalogs2',
    method: 'post',
    params
  })
}
//新增主题
export const addTheme = data => {
  return request({
    url: '/point-strategy/v/compilationData/add',
    method: 'post',
    data
  })
}
//获取主题分类
export const getthemeClass = () => {
  return request({
    url: '/point-strategy/v/compilationData/querySubjectList',
    method: 'post',
  })
}
//获取一行信息
export const getInfo = (params) => {
  return request({
    url: '/point-strategy/v/compilationData/queryById',
    method: 'get',
    params
  })
}
//编辑-目录
export const editcata = data => {
  return request({
    url: '/point-strategy/v/compilationData/editCatalogs',
    method: 'post',
    data
  })
}
//添加-目录
export const addcata = data => {
  return request({
    url: '/point-strategy/v/compilationData/addCatalogs',
    method: 'post',
    data
  })
}
//删除-目录
export const delcata = params => {
  return request({
    url: '/point-strategy/v/compilationData/deleteCatalogs',
    method: 'post',
    params
  })
}
